Bug 325309 - Digikam crashed when validating face tag with button
Summary: Digikam crashed when validating face tag with button
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 3.5.0
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi, usability
Depends on:
Blocks:
 
Reported: 2013-09-25 18:12 UTC by e.longuemare
Modified: 2019-12-23 06:03 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 3.5.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description e.longuemare 2013-09-25 18:12:33 UTC
Application: digikam (3.5.0)
KDE Platform Version: 4.11.1
Qt Version: 4.8.2
Operating System: Linux 3.2.0-54-generic-pae i686
Distribution: Ubuntu 12.04.3 LTS

-- Information about the crash:
- What I was doing when the application crashed:
Face tagging : digikam crash but tag is well assign when restarted

digikam(3607)/digikam (core) Digikam::FaceUtils::identityForTag: Found kface identity 1 for tag 46
digikam(3607)/KFACE KFaceIface::trainIdentityBatch: Training 1 images for identity 1
KCrash: Application 'digikam' crashing...

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Illegal instruction
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xadef38c0 (LWP 3607))]

Thread 5 (Thread 0xab64fb40 (LWP 3608)):
#0  0xb776a424 in __kernel_vsyscall ()
#1  0xb32ae96b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb48aa6ec in __pthread_cond_wait (cond=0xa30b1f8, mutex=0xa30b1e0) at forward.c:139
#3  0xb4b6f420 in wait (time=4294967295, this=0xa30b1e0) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa32b6ec, mutex=0xa32b6e8, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x081fe06a in Digikam::ScanController::run (this=0xa30b4d8) at /home/eric/digikamgit/dk/core/digikam/database/scancontroller.cpp:725
#6  0xb4b6eeb0 in QThreadPrivate::start (arg=0xa30b4d8) at thread/qthread_unix.cpp:307
#7  0xb32aad4c in start_thread (arg=0xab64fb40) at pthread_create.c:308
#8  0xb489cdde in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 4 (Thread 0xaacffb40 (LWP 3609)):
#0  0xb48d8f83 in __i686.get_pc_thunk.bx () from /lib/i386-linux-gnu/libc.so.6
#1  0xb48aa8d8 in pthread_mutex_lock (mutex=0xaa300550) at forward.c:182
#2  0xb2b113f0 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2ad1918 in g_main_context_query () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2ad1fce in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb2ad21c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb4cb6de7 in QEventDispatcherGlib::processEvents (this=0xaa300468, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0xb4c826ad in QEventLoop::processEvents (this=0xaacff0c0, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4c82949 in QEventLoop::exec (this=0xaacff0c0, flags=...) at kernel/qeventloop.cpp:204
#9  0xb4b6ba1c in QThread::exec (this=0xa329090) at thread/qthread.cpp:501
#10 0xb4c5fcfd in QInotifyFileSystemWatcherEngine::run (this=0xa329090) at io/qfilesystemwatcher_inotify.cpp:248
#11 0xb4b6eeb0 in QThreadPrivate::start (arg=0xa329090) at thread/qthread_unix.cpp:307
#12 0xb32aad4c in start_thread (arg=0xaacffb40) at pthread_create.c:308
#13 0xb489cdde in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 0x9ec04b40 (LWP 3731)):
[KCrash Handler]
#7  0xb41d427a in ?? () from /usr/lib/libopencv_contrib.so.2.4
#8  0xb41dc2a7 in cv::LBPH::train(cv::_InputArray const&, cv::_InputArray const&, bool) () from /usr/lib/libopencv_contrib.so.2.4
#9  0xb41dcbbe in cv::LBPH::update(cv::_InputArray const&, cv::_InputArray const&) () from /usr/lib/libopencv_contrib.so.2.4
#10 0xb41dcc3f in cv::FaceRecognizer::update(cv::_InputArray const&, cv::_InputArray const&) () from /usr/lib/libopencv_contrib.so.2.4
#11 0xb6df56bf in KFaceIface::LBPHFaceModel::update (this=0xaad77bc8, images=..., labels=..., context=...) at /home/eric/digikamgit/dk/extra/libkface/libkface/recognition-opencv-lbph/lbphfacemodel.cpp:158
#12 0xb6df7986 in KFaceIface::OpenCVLBPHFaceRecognizer::train (this=0xaad43f28, images=..., labels=..., context=...) at /home/eric/digikamgit/dk/extra/libkface/libkface/recognition-opencv-lbph/opencvlbphfacerecognizer.cpp:171
#13 0xb6e0a074 in KFaceIface::trainIdentityBatch<KFaceIface::OpenCVLBPHFaceRecognizer> (r=0xaad43f28, identitiesToBeTrained=..., data=0x9ec03928, trainingContext=..., d=0xa4d3f08) at /home/eric/digikamgit/dk/extra/libkface/libkface/recognitiondatabase.cpp:704
#14 0xb6e09701 in KFaceIface::RecognitionDatabase::Private::train (this=0xa4d3f08, r=0xaad43f28, identitiesToBeTrained=..., data=0x9ec03928, trainingContext=...) at /home/eric/digikamgit/dk/extra/libkface/libkface/recognitiondatabase.cpp:727
#15 0xb6e097ae in KFaceIface::RecognitionDatabase::train (this=0xa4d251c, identitiesToBeTrained=..., data=0x9ec03928, trainingContext=...) at /home/eric/digikamgit/dk/extra/libkface/libkface/recognitiondatabase.cpp:738
#16 0x082dc10a in Digikam::Trainer::process (this=0xa4d2510, package=...) at /home/eric/digikamgit/dk/core/utilities/facemanagement/facepipeline.cpp:974
#17 0x082d6843 in Digikam::Trainer::qt_static_metacall (_o=0xa4d2510, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xaad845d8) at /home/eric/digikamgit/dk/build/core/digikam/facepipeline_p.moc:580
#18 0xb4c96101 in QMetaCallEvent::placeMetaCall (this=0xaad7b060, object=0xa4d2510) at kernel/qobject.cpp:525
#19 0xb4c9f17b in QObject::event (this=0xa4d2510, e=0xaad7b060) at kernel/qobject.cpp:1195
#20 0xb6878fa1 in Digikam::WorkerObject::event (this=0xa4d2510, e=0xaad7b060) at /home/eric/digikamgit/dk/core/libs/threads/workerobject.cpp:160
#21 0xb51f5df4 in notify_helper (e=0xaad7b060, receiver=0xa4d2510, this=0xa143b38) at kernel/qapplication.cpp:4556
#22 QApplicationPrivate::notify_helper (this=0xa143b38, receiver=0xa4d2510, e=0xaad7b060) at kernel/qapplication.cpp:4528
#23 0xb51fb15d in QApplication::notify (this=0xaad7b060, receiver=0xa4d2510, e=0xaad7b060) at kernel/qapplication.cpp:4285
#24 0xb5d7ad71 in KApplication::notify (this=0xbf8eb8f8, receiver=0xa4d2510, event=0xaad7b060) at ../../kdeui/kernel/kapplication.cpp:311
#25 0xb4c83e0e in QCoreApplication::notifyInternal (this=0xbf8eb8f8, receiver=0xa4d2510, event=0xaad7b060) at kernel/qcoreapplication.cpp:915
#26 0xb4c87f68 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#27 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xb1cf0a8) at kernel/qcoreapplication.cpp:1539
#28 0xb4c8829c in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1432
#29 0xb4cb6994 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#30 postEventSourceDispatch (s=0xaad633c8) at kernel/qeventdispatcher_glib.cpp:279
#31 0xb2ad1d46 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#32 0xb2ad20e5 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#33 0xb2ad21c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#34 0xb4cb6d87 in QEventDispatcherGlib::processEvents (this=0xaad266c8, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#35 0xb4c826ad in QEventLoop::processEvents (this=0x9ec040d0, flags=...) at kernel/qeventloop.cpp:149
#36 0xb4c82949 in QEventLoop::exec (this=0x9ec040d0, flags=...) at kernel/qeventloop.cpp:204
#37 0xb68772d0 in Digikam::WorkerObjectRunnable::run (this=0xaf668c8) at /home/eric/digikamgit/dk/core/libs/threads/threadmanager.cpp:196
#38 0xb4b6146b in QThreadPoolThread::run (this=0xb1cef98) at concurrent/qthreadpool.cpp:107
#39 0xb4b6eeb0 in QThreadPrivate::start (arg=0xb1cef98) at thread/qthread_unix.cpp:307
#40 0xb32aad4c in start_thread (arg=0x9ec04b40) at pthread_create.c:308
#41 0xb489cdde in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 0x9bbfeb40 (LWP 3732)):
#0  0xb2b110f0 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb2b113e8 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb2ad183c in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2ad1f6f in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2ad21c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb4cb6de7 in QEventDispatcherGlib::processEvents (this=0xaad4f5c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb4c826ad in QEventLoop::processEvents (this=0x9bbfe0d0, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4c82949 in QEventLoop::exec (this=0x9bbfe0d0, flags=...) at kernel/qeventloop.cpp:204
#8  0xb68772d0 in Digikam::WorkerObjectRunnable::run (this=0xc4f2150) at /home/eric/digikamgit/dk/core/libs/threads/threadmanager.cpp:196
#9  0xb4b6146b in QThreadPoolThread::run (this=0xb1cd5f8) at concurrent/qthreadpool.cpp:107
#10 0xb4b6eeb0 in QThreadPrivate::start (arg=0xb1cd5f8) at thread/qthread_unix.cpp:307
#11 0xb32aad4c in start_thread (arg=0x9bbfeb40) at pthread_create.c:308
#12 0xb489cdde in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xadef38c0 (LWP 3607)):
#0  0xb776a424 in __kernel_vsyscall ()
#1  0xb32ae96b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb48aa6ec in __pthread_cond_wait (cond=0xa34e128, mutex=0xa34e110) at forward.c:139
#3  0xb4b6f420 in wait (time=4294967295, this=0xa34e110) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa499350, mutex=0xa49933c, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb4b60c51 in QThreadPoolPrivate::waitForDone (this=0xa4992f0, msecs=-1) at concurrent/qthreadpool.cpp:298
#6  0xb4b62668 in QThreadPool::~QThreadPool (this=0xa456ff0, __in_chrg=<optimized out>) at concurrent/qthreadpool.cpp:440
#7  0xb4b626c2 in QThreadPool::~QThreadPool (this=0xa456ff0, __in_chrg=<optimized out>) at concurrent/qthreadpool.cpp:442
#8  0xb4c99211 in QObjectPrivate::deleteChildren (this=0xa456be0) at kernel/qobject.cpp:1908
#9  0xb4c9e981 in QObject::~QObject (this=0xa456418, __in_chrg=<optimized out>) at kernel/qobject.cpp:927
#10 0xb68776a1 in Digikam::ThreadManager::~ThreadManager (this=0xa456418, __in_chrg=<optimized out>) at /home/eric/digikamgit/dk/core/libs/threads/threadmanager.cpp:257
#11 0xb6877f43 in Digikam::ThreadManagerCreator::~ThreadManagerCreator (this=0xa456418, __in_chrg=<optimized out>) at /home/eric/digikamgit/dk/core/libs/threads/threadmanager.cpp:236
#12 0xb6877540 in destroy () at /home/eric/digikamgit/dk/core/libs/threads/threadmanager.cpp:241
#13 0xb6697ac5 in KCleanUpGlobalStatic::~KCleanUpGlobalStatic (this=0xb6b2427c, __in_chrg=<optimized out>) at /usr/include/kglobal.h:62
#14 0xb47e0f51 in __run_exit_handlers (status=1, listp=0xb49533e4, run_list_atexit=true) at exit.c:78
#15 0xb47e0fdd in __GI_exit (status=1) at exit.c:100
#16 0xb0066abf in ?? () from /usr/lib/i386-linux-gnu/libgdk-x11-2.0.so.0
#17 0xb5d78e39 in KApplication::xioErrhandler (this=0xbf8eb8f8, dpy=0xa157010) at ../../kdeui/kernel/kapplication.cpp:419
#18 0xb5d78e74 in kde_xio_errhandler (dpy=0xa157010) at ../../kdeui/kernel/kapplication.cpp:126
#19 0xb43a5ad4 in _XIOError () from /usr/lib/i386-linux-gnu/libX11.so.6
#20 0xb43a339f in _XEventsQueued () from /usr/lib/i386-linux-gnu/libX11.so.6
#21 0xb43a340a in _XFlush () from /usr/lib/i386-linux-gnu/libX11.so.6
#22 0xb4383b01 in XFlush () from /usr/lib/i386-linux-gnu/libX11.so.6
#23 0xb529aa31 in QWidgetPrivate::unsetCursor_sys (this=0xaa725e8) at kernel/qwidget_x11.cpp:1416
#24 0xb524c832 in QWidget::unsetCursor (this=0xaa72588) at kernel/qwidget.cpp:5133
#25 0x080cf675 in Digikam::ImagePropertiesSideBarDB::slotChangedTab (this=0xaa72588, tab=0xab4f270) at /home/eric/digikamgit/dk/core/libs/imageproperties/imagepropertiessidebardb.cpp:377
#26 0x080cecb3 in Digikam::ImagePropertiesSideBarDB::itemChanged (this=0xaa72588, infos=..., rect=..., img=0x0, history=...) at /home/eric/digikamgit/dk/core/libs/imageproperties/imagepropertiessidebardb.cpp:195
#27 0x080ceb79 in Digikam::ImagePropertiesSideBarDB::itemChanged (this=0xaa72588, infos=...) at /home/eric/digikamgit/dk/core/libs/imageproperties/imagepropertiessidebardb.cpp:171
#28 0x08283eac in Digikam::DigikamView::slotDispatchImageSelected (this=0xa497818) at /home/eric/digikamgit/dk/core/digikam/views/digikamview.cpp:1279
#29 0x0827ee37 in Digikam::DigikamView::qt_static_metacall (_o=0xa497818, _c=QMetaObject::InvokeMetaMethod, _id=91, _a=0xbf8eb050) at /home/eric/digikamgit/dk/build/core/digikam/digikamview.moc:337
#30 0xb4c9abb1 in QMetaObject::activate (sender=0xa4c78c0, m=0xb4de24d8, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3547
#31 0xb4cedb25 in QTimer::timeout (this=0xa4c78c0) at .moc/release-shared/moc_qtimer.cpp:148
#32 0xb4ca3a66 in QTimer::timerEvent (this=0xa4c78c0, e=0xbf8eb55c) at kernel/qtimer.cpp:280
#33 0xb4c9efc4 in QObject::event (this=0xa4c78c0, e=0xbf8eb55c) at kernel/qobject.cpp:1157
#34 0xb51f5df4 in notify_helper (e=0xbf8eb55c, receiver=0xa4c78c0, this=0xa143b38) at kernel/qapplication.cpp:4556
#35 QApplicationPrivate::notify_helper (this=0xa143b38, receiver=0xa4c78c0, e=0xbf8eb55c) at kernel/qapplication.cpp:4528
#36 0xb51fb15d in QApplication::notify (this=0xbf8eb55c, receiver=0xa4c78c0, e=0xbf8eb55c) at kernel/qapplication.cpp:4285
#37 0xb5d7ad71 in KApplication::notify (this=0xbf8eb8f8, receiver=0xa4c78c0, event=0xbf8eb55c) at ../../kdeui/kernel/kapplication.cpp:311
#38 0xb4c83e0e in QCoreApplication::notifyInternal (this=0xbf8eb8f8, receiver=0xa4c78c0, event=0xbf8eb55c) at kernel/qcoreapplication.cpp:915
#39 0xb4cb8e90 in sendEvent (event=0xbf8eb55c, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#40 QTimerInfoList::activateTimers (this=0xa142a8c) at kernel/qeventdispatcher_unix.cpp:611
#41 0xb4cb65f8 in timerSourceDispatch (source=0xa142a58) at kernel/qeventdispatcher_glib.cpp:186
#42 timerSourceDispatch (source=0xa142a58) at kernel/qeventdispatcher_glib.cpp:180
#43 0xb2ad1d46 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#44 0xb2ad20e5 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#45 0xb2ad21c1 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#46 0xb4cb6d87 in QEventDispatcherGlib::processEvents (this=0xa0e7730, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#47 0xb52aea1a in QGuiEventDispatcherGlib::processEvents (this=0xa0e7730, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#48 0xb4c826ad in QEventLoop::processEvents (this=0xbf8eb7c4, flags=...) at kernel/qeventloop.cpp:149
#49 0xb4c82949 in QEventLoop::exec (this=0xbf8eb7c4, flags=...) at kernel/qeventloop.cpp:204
#50 0xb4c8834a in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#51 0xb51f39c4 in QApplication::exec () at kernel/qapplication.cpp:3817
#52 0x082eaf2f in main (argc=1, argv=0xbf8ebb54) at /home/eric/digikamgit/dk/core/digikam/main/main.cpp:235

Reported using DrKonqi
Comment 1 e.longuemare 2013-09-25 18:26:21 UTC
Component and libs :

digiKam version 3.5.0
Exiv2 can write to Jp2: Yes
Exiv2 can write to Jpeg: Yes
Exiv2 can write to Pgf: Yes
Exiv2 can write to Png: Yes
Exiv2 can write to Tiff: Yes
Exiv2 supports XMP metadata: Yes
LibCImg: 130
LibEigen: 3.0.5
LibExiv2: 0.22
LibJPEG: 80
LibJasper: 1.900.1
LibKDE: 4.11.1
LibKExiv2: 2.3.1
LibKGeoMap: 2.0.0
LibKdcraw: 2.3.1
LibLCMS: 2040
LibLensFun: 0.2.7-0
LibPGF: 6.12.24 - external shared library
LibPNG: 1.2.46
LibQt: 4.8.2
LibRaw: 0.15.4
LibTIFF: LIBTIFF, Version 3.9.5 Copyright (c) 1988-1996 Sam Leffler Copyright (c) 1991-1996 Silicon Graphics, Inc.
Marble Widget: 0.16.1 (stable version)
Parallelized PGF codec: No
Parallelized demosaicing: Yes
RawSpeed codec support: Yes
Database backend: QMYSQL
Database internal server: No
Kipi-Plugins: 3.5.0
LibGphoto2: 2.4.14
LibKface: 3.0.0
LibKipi: 2.1.0
LibOpenCV: 2.4.5
Comment 2 e.longuemare 2013-09-25 19:07:31 UTC
gdb digikam :

digikam(4742)/digikam (core) Digikam::FaceUtils::identityForTag: Found kface identity 2 for tag 698
[New Thread 0x95474b40 (LWP 4827)]
[New Thread 0x94472b40 (LWP 4828)]
digikam(4742)/KFACE KFaceIface::trainIdentityBatch: Training 1 images for identity 2

Program received signal SIGILL, Illegal instruction.
[Switching to Thread 0x95c75b40 (LWP 4825)]
0xb4a4727a in ?? () from /usr/lib/libopencv_contrib.so.2.4
Comment 3 e.longuemare 2013-09-26 11:55:12 UTC
	De: 	eric <e.longuemare@laposte.net>
Reply-to: 	digiKam developers room - digiKam - Manage your photographs as a professional with the power of open source <digikam-devel@kde.org>
À: 	digikam-devel@kde.org
Sujet: 	Re: [Digikam-devel] [digikam] [Bug 325309] Digikam crashed when validating face tag with button - New DBG
Date: 	Thu, 26 Sep 2013 13:51:25 +0200


New dbg :

------ click on face button (left vertical button)
-----  select unknown to view not tagged pictures
digikam(8002)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: 
digikam(8002)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: 
digikam(8002)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset:
[New Thread 0x95474b40 (LWP 8370)]
----- select one picture to tag
[Thread 0x95474b40 (LWP 8370) exited]
[Thread 0x94472b40 (LWP 8070) exited]
[Thread 0x95c75b40 (LWP 8071) exited]
------ enter tag (keyboard)
------ validate (click on gree check button)
checkdigikam(8002)/KGEOMAPKGeoMap::ItemMarkerTiler::slotSourceModelReset: 
[New Thread 0x95c75b40 (LWP 8372)]
[New Thread 0x94472b40 (LWP 8373)]
[New Thread 0x95474b40 (LWP 8374)]
digikam(8002)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset:
digikam(8002)/digikam (core) Digikam::FaceUtils::identityForTag: Adding
new kface identity with attributes QMap(("fullName",
"francoisd")("name", "francoisd"))
[New Thread 0x94c73b40 (LWP 8375)]
[New Thread 0xa4092b40 (LWP 8376)]
digikam(8002)/KFACE KFaceIface::trainIdentityBatch: Training 1 images
for identity 3
--- Digikam crash
Program received signal SIGILL, Illegal instruction.
[Switching to Thread 0x94472b40 (LWP 8373)]
0xb4a4727a in ?? () from /usr/lib/libopencv_contrib.so.2.4
Comment 4 e.longuemare 2013-09-26 12:21:19 UTC
related to bug 323361

https://bugs.kde.org/show_bug.cgi?id=323361
Comment 5 e.longuemare 2013-09-26 13:01:22 UTC
what is in recognition.db :

instantané pour: 
select * from identities;
"id", "type"
"1", "0"
"2", "0"
"3", "0"

instantané pour: 
select * from identityattributes;
"id", "attribute", "value"
"1", "fullName", "chloe"
"1", "name", "chloe"
"1", "uuid", "{3b6d168a-ea42-4407-8b10-6fedd8fc6f67}"
"2", "fullName", "fredb"
"2", "name", "fredb"
"2", "uuid", "{c9c862e8-9c34-437b-afb5-76c021ec6fc7}"
"3", "fullName", "francoisd"
"3", "name", "francoisd"
"3", "uuid", "{b8725e4c-978c-4b3a-9535-a19acc6ec408}"

select * from opencvlbphistograms;
Ligne(s) retournée(s): 0  = no data

select * from opencvlbphrecognizer;
Ligne(s) retournée(s): 0  = no data

select * from opentlddata;
Ligne(s) retournée(s): 0  = no data

select * from settings;
"keyword", "value"
"DBVersionRequired", "1"
"DBVersion", "1"
Comment 6 e.longuemare 2013-09-27 09:50:29 UTC
list of installed libopencv :

/usr/lib/libopencv_calib3d.a
/usr/lib/libopencv_calib3d.so
/usr/lib/libopencv_calib3d.so.2.4
/usr/lib/libopencv_calib3d.so.2.4.5
/usr/lib/libopencv_contrib.a
/usr/lib/libopencv_contrib.so
/usr/lib/libopencv_contrib.so.2.4
/usr/lib/libopencv_contrib.so.2.4.5
/usr/lib/libopencv_core.a
/usr/lib/libopencv_core.so
/usr/lib/libopencv_core.so.2.4
/usr/lib/libopencv_core.so.2.4.5
/usr/lib/libopencv_features2d.a
/usr/lib/libopencv_features2d.so
/usr/lib/libopencv_features2d.so.2.4
/usr/lib/libopencv_features2d.so.2.4.5
/usr/lib/libopencv_flann.a
/usr/lib/libopencv_flann.so
/usr/lib/libopencv_flann.so.2.4
/usr/lib/libopencv_flann.so.2.4.5
/usr/lib/libopencv_gpu.a
/usr/lib/libopencv_gpu.so
/usr/lib/libopencv_gpu.so.2.4
/usr/lib/libopencv_gpu.so.2.4.5
/usr/lib/libopencv_highgui.a
/usr/lib/libopencv_highgui.so
/usr/lib/libopencv_highgui.so.2.4
/usr/lib/libopencv_highgui.so.2.4.5
/usr/lib/libopencv_imgproc.a
/usr/lib/libopencv_imgproc.so
/usr/lib/libopencv_imgproc.so.2.4
/usr/lib/libopencv_imgproc.so.2.4.5
/usr/lib/libopencv_legacy.a
/usr/lib/libopencv_legacy.so
/usr/lib/libopencv_legacy.so.2.4
/usr/lib/libopencv_legacy.so.2.4.5
/usr/lib/libopencv_ml.a
/usr/lib/libopencv_ml.so
/usr/lib/libopencv_ml.so.2.4
/usr/lib/libopencv_ml.so.2.4.5
/usr/lib/libopencv_objdetect.a
/usr/lib/libopencv_objdetect.so
/usr/lib/libopencv_objdetect.so.2.4
/usr/lib/libopencv_objdetect.so.2.4.5
/usr/lib/libopencv_photo.a
/usr/lib/libopencv_photo.so
/usr/lib/libopencv_photo.so.2.4
/usr/lib/libopencv_photo.so.2.4.5
/usr/lib/libopencv_stitching.a
/usr/lib/libopencv_stitching.so
/usr/lib/libopencv_stitching.so.2.4
/usr/lib/libopencv_stitching.so.2.4.5
/usr/lib/libopencv_superres.a
/usr/lib/libopencv_superres.so
/usr/lib/libopencv_superres.so.2.4
/usr/lib/libopencv_superres.so.2.4.5
/usr/lib/libopencv_ts.a
/usr/lib/libopencv_ts.so
/usr/lib/libopencv_ts.so.2.4
/usr/lib/libopencv_ts.so.2.4.5
/usr/lib/libopencv_video.a
/usr/lib/libopencv_video.so
/usr/lib/libopencv_video.so.2.4
/usr/lib/libopencv_video.so.2.4.5
/usr/lib/libopencv_videostab.a
/usr/lib/libopencv_videostab.so
/usr/lib/libopencv_videostab.so.2.4
/usr/lib/libopencv_videostab.so.2.4.5
Comment 7 e.longuemare 2013-09-30 07:58:22 UTC
Hello,

As say here (gdb trace), it's an opencv problem.
with kubuntu/backport package (2.4.5) Digikam start but crash when tagging a face in facetools.

gdb trace :
0xb4a4727a in ?? () from /usr/lib/libopencv_contrib.so.2.4

As there is no debug package for opencv 2.4.5 in kubuntu/backport, I try to compil opencv 2.4.5 with debug symbols by myself from official opencv repository with same version. No compilation error but digikam start and crash in a few seconds with an opencv error :

(gdb) run
Starting program: /usr/bin/digikam 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".

Program received signal SIGILL, Illegal instruction.
0xb434c3f2 in cv::interpolateLanczos4 (x=0.03125, coeffs=0xbfffe224) at /home/eric/opencv-2-4-5-SH/OpenCV/opencv-2.4.5/modules/imgproc/src/imgwarp.cpp:115
115	        coeffs[i] = (float)((cs[i][0]*s0 + cs[i][1]*c0)/(y*y));
(gdb) backtrace
#0  0xb434c3f2 in cv::interpolateLanczos4 (x=0.03125, coeffs=0xbfffe224) at /home/eric/opencv-2-4-5-SH/OpenCV/opencv-2.4.5/modules/imgproc/src/imgwarp.cpp:115
#1  0xb434c581 in cv::initInterTab1D (method=4, tab=0xbfffe224, tabsz=32) at /home/eric/opencv-2-4-5-SH/OpenCV/opencv-2.4.5/modules/imgproc/src/imgwarp.cpp:140
#2  0xb434c9ad in cv::initInterTab2D (method=4, fixpt=false) at /home/eric/opencv-2-4-5-SH/OpenCV/opencv-2.4.5/modules/imgproc/src/imgwarp.cpp:166
#3  0xb434d0f3 in cv::initAllInterTab2D () at /home/eric/opencv-2-4-5-SH/OpenCV/opencv-2.4.5/modules/imgproc/src/imgwarp.cpp:230
#4  0xb437e9d8 in __static_initialization_and_destruction_0 (__initialize_p=1, __priority=65535) at /home/eric/opencv-2-4-5-SH/OpenCV/opencv-2.4.5/modules/imgproc/src/imgwarp.cpp:234
#5  0xb4392d6e in _GLOBAL__sub_I_imgwarp.cpp(void) () at /home/eric/opencv-2-4-5-SH/OpenCV/opencv-2.4.5/modules/imgproc/src/imgwarp.cpp:3932
#6  0xb7feceab in call_init (env=0xbffff3bc, argv=0xbffff3b4, argc=1, l=<optimized out>) at dl-init.c:85
#7  call_init (l=<optimized out>, argc=1, argv=0xbffff3b4, env=0xbffff3bc) at dl-init.c:35
#8  0xb7fecf94 in _dl_init (main_map=<optimized out>, argc=1, argv=0xbffff3b4, env=0xbffff3bc) at dl-init.c:134
#9  0xb7fdf20f in _dl_start_user () from /lib/ld-linux.so.2
(gdb) 

So there is something wrong  in opencv package in kubuntu\backport for pentium m  (I suppose, no debug symbols) 

I try now to make digikam start with a compiled opencv library.

Greatings,

Eric
Comment 8 e.longuemare 2013-09-30 08:10:36 UTC
$cat /proc/cpuinfo :
------
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 13
model name	: Intel(R) Pentium(R) M processor 2.00GHz
stepping	: 8
microcode	: 0x20
cpu MHz		: 800.000
cache size	: 2048 KB
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 2
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov clflush dts acpi mmx fxsr sse sse2 ss tm pbe nx up bts est tm2
bogomips	: 1596.00
clflush size	: 64
cache_alignment	: 64
address sizes	: 32 bits physical, 32 bits virtual
power management:
------

$gcc -Q -O3 --help=target :
----------------------------------
The following options are target specific:
  -m128bit-long-double        		[disabled]
  -m32                        		[enabled]
  -m3dnow                     		[disabled]
  -m3dnowa                    		[disabled]
  -m64                        		[disabled]
  -m80387                     		[enabled]
  -m8bit-idiv                 		[disabled]
  -m96bit-long-double         		[enabled]
  -mabi=                      		
  -mabm                       		[disabled]
  -maccumulate-outgoing-args  		[disabled]
  -maes                       		[disabled]
  -malign-double              		[disabled]
  -malign-functions=          		
  -malign-jumps=              		
  -malign-loops=              		
  -malign-stringops           		[enabled]
  -mandroid                   		[disabled]
  -march=                     		i686
  -masm=                      		
  -mavx                       		[disabled]
  -mavx256-split-unaligned-load 	[disabled]
  -mavx256-split-unaligned-store 	[disabled]
  -mbionic                    		[disabled]
  -mbmi                       		[disabled]
  -mbranch-cost=              		
  -mcld                       		[disabled]
  -mcmodel=                   		
  -mcpu=                      		
  -mcrc32                     		[disabled]
  -mcx16                      		[disabled]
  -mdispatch-scheduler        		[disabled]
  -mf16c                      		[disabled]
  -mfancy-math-387            		[enabled]
  -mfentry                    		[enabled]
  -mfma                       		[disabled]
  -mfma4                      		[disabled]
  -mforce-drap                		[disabled]
  -mfp-ret-in-387             		[enabled]
  -mfpmath=                   		
  -mfsgsbase                  		[disabled]
  -mfused-madd                		
  -mglibc                     		[enabled]
  -mhard-float                		[enabled]
  -mieee-fp                   		[enabled]
  -mincoming-stack-boundary=  		
  -minline-all-stringops      		[disabled]
  -minline-stringops-dynamically 	[disabled]
  -mintel-syntax              		
  -mlarge-data-threshold=     		
  -mlwp                       		[disabled]
  -mmmx                       		[disabled]
  -mmovbe                     		[disabled]
  -mms-bitfields              		[disabled]
  -mno-align-stringops        		[disabled]
  -mno-fancy-math-387         		[disabled]
  -mno-push-args              		[disabled]
  -mno-red-zone               		[disabled]
  -mno-sse4                   		[enabled]
  -momit-leaf-frame-pointer   		[disabled]
  -mpc                        		
  -mpclmul                    		[disabled]
  -mpopcnt                    		[disabled]
  -mprefer-avx128             		[disabled]
  -mpreferred-stack-boundary= 		
  -mpush-args                 		[enabled]
  -mrdrnd                     		[disabled]
  -mrecip                     		[disabled]
  -mred-zone                  		[enabled]
  -mregparm=                  		
  -mrtd                       		[disabled]
  -msahf                      		[disabled]
  -msoft-float                		[disabled]
  -msse                       		[disabled]
  -msse2                      		[disabled]
  -msse2avx                   		[disabled]
  -msse3                      		[disabled]
  -msse4                      		[disabled]
  -msse4.1                    		[disabled]
  -msse4.2                    		[disabled]
  -msse4a                     		[disabled]
  -msse5                      		
  -msseregparm                		[disabled]
  -mssse3                     		[disabled]
  -mstack-arg-probe           		[disabled]
  -mstackrealign              		[enabled]
  -mstringop-strategy=        		
  -mtbm                       		[disabled]
  -mtls-dialect=              		
  -mtls-direct-seg-refs       		[enabled]
  -mtune=                     		generic
  -muclibc                    		[disabled]
  -mveclibabi=                		
  -mvect8-ret-in-mem          		[disabled]
  -mvzeroupper                		[disabled]
  -mxop                       		[disabled]
Comment 9 e.longuemare 2013-09-30 13:06:25 UTC
Hello,

Disable SSE3 at compilation of opencv make digikam start.
But it freeze (not crash) a little bit later : no thumbnails, no navigation in menu, tags ... and nothing in gdb. Digikam process take about all the cpu (90 to 99%) ... ?

gdb log from start:

(gdb) run
Starting program: /usr/bin/digikam 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
digikam(3133)/digikam (core) Digikam::KInotify::Private::open: Successfully opened connection to inotify: 19
[New Thread 0xab661b40 (LWP 3136)]
[New Thread 0xaacffb40 (LWP 3137)]
digikam(3133)/digikam (core) Digikam::AlbumManager::setDatabase: DatabaseParameters: [ Type "QMYSQL", Name "digikam" (Thumbnails Name "digikam_thumb"); Host Name and Port: "192.168.1.2" 3306; Username and Password: "***", "*******"]
[New Thread 0xaa2ffb40 (LWP 3138)]
[New Thread 0xa97e4b40 (LWP 3139)]
[Thread 0xa97e4b40 (LWP 3139) exited]
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.
[Thread 0xaa2ffb40 (LWP 3138) exited]
digikam(3133)/digikam (core) Digikam::DatabaseConfigElementLoader::readConfig: Loading SQL code from config file "/usr/share/kde4/apps/digikam/database/dbconfig.xml"
digikam(3133)/digikam (core) Digikam::DatabaseConfigElementLoader::readConfig: false "1" 1 1
[New Thread 0xaa2ffb40 (LWP 3140)]
[Thread 0xaa2ffb40 (LWP 3140) exited]
digikam(3133)/digikam (core) Digikam::SchemaUpdater::update: SchemaUpdater update
digikam(3133)/digikam (core) Digikam::SchemaUpdater::startUpdates: Have a database structure version  7
digikam(3133)/digikam (core) Digikam::SchemaUpdater::makeUpdates: makeUpdates  7  to  7
"/org/freedesktop/UDisks2/drives/SAMSUNG_HM160HC_S12TJDZB314313" : property "DeviceNumber" does not exist 
"/org/freedesktop/UDisks2/drives/SAMSUNG_HM160HC_S12TJDZB314313" : property "Device" does not exist 
digikam(3133)/digikam (core) Digikam::AlbumRootLocation::AlbumRootLocation: Creating new Location  "/"  uuid  "networkshareid:?mountpath=%2Fmedia%2FDiskphotos"
digikam(3133)/digikam (core) Digikam::CollectionManager::updateLocations: location for  "/media/Diskphotos"  is available  true
digikam(3133)/digikam (core) Digikam::KMemoryInfo::update: Platform identified :  "LINUX"
digikam(3133)/digikam (core) Digikam::KMemoryInfo::bytes: TotalRam:  2110857216
digikam(3133)/digikam (core) Digikam::LoadingCache::setCacheSize: Allowing a cache size of 100 MB
digikam(3133)/digikam (core) Digikam::ThumbnailSchemaUpdater::startUpdates: Have a thumbnail database structure version  "2"
digikam(3133)/digikam (core) Digikam::ThumbnailLoadThread::initializeThumbnailDatabase: Thumbnail db ready for use
digikam(3133)/digikam (core) Digikam::CollectionScanner::completeScan: Complete scan (file scanning deferred) took: 20263 msecs.
digikam(3133)/digikam (core) Digikam::IccSettings::Private::scanDirectories: ("/usr/share/color/icc", "/home/eric/.color/icc")
[New Thread 0xaa2ffb40 (LWP 3142)]
digikam(3133)/KFACE KFaceIface::SchemaUpdater::startUpdates: Have a database structure version  "1"
[New Thread 0xa97e4b40 (LWP 3143)]
[Thread 0xa97e4b40 (LWP 3143) exited]
[New Thread 0xa97e4b40 (LWP 3144)]
[New Thread 0x9fe8bb40 (LWP 3145)]
[Thread 0xa97e4b40 (LWP 3144) exited]
[Thread 0x9fe8bb40 (LWP 3145) exited]
digikam(3133)/KGEOMAP KGeoMap::KGeoMapWidget::setBackend: "setting backend marble"
digikam(3133)/KGEOMAP KGeoMap::KGeoMapWidget::setBackend: "setting backend marble"
digikam(3133)/digikam (core) Digikam::LensFunCameraSelector::populateLensCombo: variant:  QVariant(Digikam::LensFunIface::DevicePtr, )
digikam(3133)/digikam (core) Digikam::LensFunCameraSelector::populateLensCombo: dev:  Asahi Optical Co.,Ltd  ::  PENTAX Optio 430  ::  4.85
digikam(3133)/digikam (core) Digikam::LensFunIface::findCamera: Search for camera  "" - ""  ==> false
digikam(3133)/digikam (core) Digikam::LensFunIface::findLens: Search for lens  ""  ==> false
digikam(3133)/digikam (core) Digikam::CurvesWidget::updateData: updating data
[New Thread 0x9fe8bb40 (LWP 3146)]
[New Thread 0xa97e4b40 (LWP 3147)]
[New Thread 0xa3b37b40 (LWP 3148)]
[New Thread 0xa3336b40 (LWP 3149)]
[New Thread 0xa2b35b40 (LWP 3150)]
[New Thread 0xa2334b40 (LWP 3151)]
[New Thread 0xa1b33b40 (LWP 3152)]
[New Thread 0xa1332b40 (LWP 3153)]
[New Thread 0xa0b31b40 (LWP 3154)]
[New Thread 0x9f5c3b40 (LWP 3155)]
[New Thread 0x9edc2b40 (LWP 3156)]
[New Thread 0x9e5c1b40 (LWP 3157)]
[New Thread 0x9ddc0b40 (LWP 3158)]
[New Thread 0x9d5bfb40 (LWP 3159)]
[New Thread 0x9cdbeb40 (LWP 3160)]
[New Thread 0x9c5bdb40 (LWP 3161)]
[New Thread 0x9bdbcb40 (LWP 3162)]
[New Thread 0x9b5bbb40 (LWP 3163)]
[New Thread 0x9adbab40 (LWP 3164)]
[New Thread 0x9a5b9b40 (LWP 3165)]
[New Thread 0x99db8b40 (LWP 3166)]
[New Thread 0x995b7b40 (LWP 3167)]
[New Thread 0x98db6b40 (LWP 3168)]
[New Thread 0x985b5b40 (LWP 3169)]
[New Thread 0x97db4b40 (LWP 3170)]
[New Thread 0x975b3b40 (LWP 3171)]
[New Thread 0x96db2b40 (LWP 3172)]
[New Thread 0x965b1b40 (LWP 3173)]
[New Thread 0x95db0b40 (LWP 3174)]
[New Thread 0x955afb40 (LWP 3175)]
[New Thread 0x94daeb40 (LWP 3176)]
[New Thread 0x945adb40 (LWP 3177)]
[New Thread 0x93dacb40 (LWP 3178)]
digikam(3133)/digikam (core) Digikam::BlurFilter::cimgBlurImage: Radius:  0.5
digikam(3133)/digikam (core) Digikam::BlurFilter::cimgBlurImage: BlurFilter::Process Computation...
digikam(3133)/digikam (core) Digikam::BlurFilter::cimgBlurImage: Radius:  0.3
digikam(3133)/digikam (core) Digikam::BlurFilter::cimgBlurImage: BlurFilter::Process Computation...
digikam(3133)/digikam (core) Digikam::BlurFilter::cimgBlurImage: Radius:  0.1
digikam(3133)/digikam (core) Digikam::BlurFilter::cimgBlurImage: BlurFilter::Process Computation...
digikam(3133)/digikam (core) Digikam::BlurFilter::cimgBlurImage: Radius:  0.2
digikam(3133)/digikam (core) Digikam::BlurFilter::cimgBlurImage: BlurFilter::Process Computation...
digikam(3133)/digikam (core) Digikam::BlurFilter::cimgBlurImage: BlurFilter::Finalization...
digikam(3133)/digikam (core) Digikam::BlurFilter::cimgBlurImage: BlurFilter::Finalization...
digikam(3133)/digikam (core) Digikam::BlurFilter::cimgBlurImage: BlurFilter::Finalization...
digikam(3133)/digikam (core) Digikam::BlurFilter::cimgBlurImage: BlurFilter::Finalization...
digikam(3133)/digikam (core) Digikam::CurvesWidget::updateData: updating data
digikam(3133)/KDCRAW KDcrawIface::RActionThreadBase::RActionThreadBase: Starting Main Thread
digikam(3133)/digikam (core) Digikam::AlbumFilterModel::setSearchTextSettings: new search text settings:  "" : hasResult =  false , validRows =  0
digikam(3133)/digikam (core) Digikam::WorkflowManager::load: Cannot open XML file to load Workflow
digikam(3133)/digikam (core) Digikam::ThemeManager::slotChangePalette: ""  ::  ""
digikam(3133)/digikam (core) Digikam::ThemeManager::slotChangePalette: ""  ::  ""
digikam(3133)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(3133)/digikam (core) Digikam::KInotify::Private::open: Successfully opened connection to inotify: 71
digikam(3133)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "ROADMAP"
digikam(3133)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "ROADMAP"
digikam(3133)/KGEOMAP KGeoMap::KGeoMapWidget::setBackend: "setting backend marble"
digikam(3133)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "ROADMAP"
digikam(3133)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(3133)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(3133)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "ROADMAP"
[New Thread 0x92f17b40 (LWP 3183)]
digikam(3133)/KIPI (loading) KIPI::PluginLoader::init: Plugin  "JPEGLossless"  (generic name:  "JPEGLossless" ) is in the ignore list from host application
digikam(3133)/KIPI (loading) KIPI::PluginLoader::init: Plugin  "RawConverter"  (generic name:  "RawConverter" ) is in the ignore list from host application
digikam(3133)/KIPI (loading) KIPI::PluginLoader::init: Plugin  "KXMLHelloWorld"  (generic name:  "KXMLHelloWorld" ) is in the ignore list from host application
digikam(3133)/KIPI (loading) KIPIVideoSlideShowPlugin::Plugin_VideoSlideShow::Plugin_VideoSlideShow: Plugin_VideoSlideShow plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "VideoSlideShow"
digikam(3133)/KIPI (general) KIPIImageshackExportPlugin::Plugin_ImageshackExport::Plugin_ImageshackExport: Plugin_ImageshackExport plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "ImageshackExport"
digikam(3133)/KIPI (loading) KIPIMetadataEditPlugin::Plugin_MetadataEdit::Plugin_MetadataEdit: Plugin_MetadataEdit plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "MetadataEdit"
digikam(3133)/KIPI (loading) KIPISmugPlugin::Plugin_Smug::Plugin_Smug: Plugin_Smug plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "Smug"
digikam(3133)/KIPI (loading) KIPIYandexFotkiPlugin::Plugin_YandexFotki::Plugin_YandexFotki: Plugin_YandexFotki plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "YandexFotki"
digikam(3133)/KIPI (loading) KIPIBatchProcessImagesPlugin::Plugin_BatchProcessImages::Plugin_BatchProcessImages: Plugin_BatchProcessImages plugin loaded
digikam(3133)/KIPI (general) KIPI::Plugin::Private::XMLParser::removeDisabledActions: Plugin action ' "batch_border_images" ' is disabled.
digikam(3133)/KIPI (general) KIPI::Plugin::Private::XMLParser::removeDisabledActions: Plugin action ' "batch_color_images" ' is disabled.
digikam(3133)/KIPI (general) KIPI::Plugin::Private::XMLParser::removeDisabledActions: Plugin action ' "batch_convert_images" ' is disabled.
digikam(3133)/KIPI (general) KIPI::Plugin::Private::XMLParser::removeDisabledActions: Plugin action ' "batch_filter_images" ' is disabled.
digikam(3133)/KIPI (general) KIPI::Plugin::Private::XMLParser::removeDisabledActions: Plugin action ' "batch_rename_images" ' is disabled.
digikam(3133)/KIPI (general) KIPI::Plugin::Private::XMLParser::removeDisabledActions: Plugin action ' "batch_recompress_images" ' is disabled.
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "BatchProcessImages"
digikam(3133)/KIPI (loading) KIPIAdvancedSlideshowPlugin::Plugin_AdvancedSlideshow::Plugin_AdvancedSlideshow: Plugin_AdvancedSlideshow plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "AdvancedSlideshow"
digikam(3133)/KIPI (loading) KIPIWikiMediaPlugin::Plugin_WikiMedia::Plugin_WikiMedia: Plugin_MediaWiki plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "MediaWiki export"
digikam(3133)/KIPI (loading) KIPIKioExportPlugin::Plugin_KioExportImport::Plugin_KioExportImport: Plugin_KioExportImport plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "KioExportImport"
digikam(3133)/KIPI (loading) KIPIGalleryExportPlugin::Plugin_GalleryExport::Plugin_GalleryExport: Plugin_GalleryExport plugin loaded
digikam(3133)/KIPI (general) KIPIGalleryExportPlugin::Gallery::load: Reading data from kipirc file..
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "GalleryExport"
digikam(3133)/KIPI (loading) KIPIDebianScreenshotsPlugin::Plugin_DebianScreenshots::Plugin_DebianScreenshots: Plugin_DebianScreenshots plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "Debian Screenshots Export"
digikam(3133)/KIPI (loading) KIPICalendarPlugin::Plugin_Calendar::Plugin_Calendar: Plugin_Calendar plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "Calendar"
digikam(3133)/KIPI (loading) KIPIExpoBlendingPlugin::Plugin_ExpoBlending::Plugin_ExpoBlending: Plugin_ExpoBlending plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "ExpoBlending"
digikam(3133)/KIPI (loading) KIPIIpodExportPlugin::Plugin_iPodExport::Plugin_iPodExport: Plugin_iPodExport plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "iPodExport"
digikam(3133)/KIPI (loading) KIPIVkontaktePlugin::Plugin_Vkontakte::Plugin_Vkontakte: Plugin_Vkontakte plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "VKontakte"
digikam(3133)/KIPI (loading) KIPIJAlbumExportPlugin::Plugin_JAlbumExport::Plugin_JAlbumExport: Plugin_JAlbumExport plugin loaded
digikam(3133)/KIPI (general) KIPIJAlbumExportPlugin::JAlbum::load: Reading data from kipirc file..
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "JAlbumExport"
digikam(3133)/KIPI (loading) KIPIPanoramaPlugin::Plugin_Panorama::Plugin_Panorama: Plugin_Panorama plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "Panorama"
digikam(3133)/KIPI (loading) KIPIPicasawebExportPlugin::Plugin_PicasawebExport::Plugin_PicasawebExport: Plugin_PicasawebExport plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "PicasawebExport"
digikam(3133)/KIPI (loading) KIPIViewerPlugin::Plugin_viewer::Plugin_viewer: OpenGL viewer plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "kipiplugin_imageviewer"
digikam(3133)/KIPI (loading) KIPIKMLExportPlugin::Plugin_KMLExport::Plugin_KMLExport: Plugin_KMLExport plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "KMLExport"
digikam(3133)/KIPI (loading) KIPIPrintImagesPlugin::Plugin_PrintImages::Plugin_PrintImages: Plugin_PrintImages plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "PrintImages"
digikam(3133)/KIPI (loading) KIPIFlashExportPlugin::Plugin_FlashExport::Plugin_FlashExport: Plugin_Flashexport plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "FlashExport"
digikam(3133)/KIPI (loading) KIPIImgurExportPlugin::Plugin_ImgurExport::Plugin_ImgurExport: ImgurExport plugin loaded
digikam(3133)/KIPI (loading) KIPIImgurExportPlugin::Plugin_ImgurExport::Plugin_ImgurExport: ()
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "ImgurExport"
digikam(3133)/KIPI (loading) KIPIDLNAExportPlugin::Plugin_DLNAExport::Plugin_DLNAExport: Plugin_DLNAExport plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "DLNAExport"
digikam(3133)/KIPI (loading) KIPIFlickrExportPlugin::Plugin_FlickrExport::Plugin_FlickrExport: Plugin_FlickrExport plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "FlickrExport"
digikam(3133)/KIPI (loading) KIPIDNGConverterPlugin::Plugin_DNGConverter::Plugin_DNGConverter: Plugin_DNGConverter plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "DNGConverter"
digikam(3133)/KIPI (general) KIPIPhotoLayoutsEditor::Plugin_PhotoLayoutsEditor::Plugin_PhotoLayoutsEditor: Plugin_PhotoLayoutsEditor plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "photolayoutseditor"
digikam(3133)/KIPI (loading) KIPIFacebookPlugin::Plugin_Facebook::Plugin_Facebook: Plugin_Facebook plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "Facebook Import/Export"
digikam(3133)/KIPI (loading) KIPIGPSSyncPlugin::Plugin_GPSSync::Plugin_GPSSync: Plugin_GPSSync plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "GPSSync"
digikam(3133)/KIPI (loading) KIPIAcquireImagesPlugin::Plugin_AcquireImages::Plugin_AcquireImages: Plugin_AcquireImages plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "AcquireImages"
digikam(3133)/KIPI (loading) KIPIRajceExportPlugin::Plugin_RajceExport::Plugin_RajceExport: Plugin_RajceExport plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "RajceExport"
digikam(3133)/KIPI (loading) KIPIRemoveRedEyesPlugin::Plugin_RemoveRedEyes::Plugin_RemoveRedEyes: Plugin_RemoveRedEyes plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "RemoveRedEyes"
digikam(3133)/KIPI (loading) KIPIShwupPlugin::Plugin_Shwup::Plugin_Shwup: Plugin_Shwup plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "Shwup Export"
digikam(3133)/KIPI (loading) KIPIKopetePlugin::Plugin_Kopete::Plugin_Kopete: Plugin_Kopete plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "Kopete Export"
digikam(3133)/KIPI (loading) KIPITimeAdjustPlugin::Plugin_TimeAdjust::Plugin_TimeAdjust: Plugin_TimeAdjust plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "TimeAdjust"
digikam(3133)/KIPI (loading) KIPISendimagesPlugin::Plugin_SendImages::Plugin_SendImages: Plugin_SendImages plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "SendImages"
digikam(3133)/KIPI (loading) KIPIPiwigoExportPlugin::Plugin_PiwigoExport::Plugin_PiwigoExport: Plugin_PiwigoExport plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "PiwigoExport"
digikam(3133)/KIPI (loading) KIPIHTMLExport::Plugin_HTMLExport::Plugin_HTMLExport: Plugin_HTMLExport plugin loaded
digikam(3133)/KIPI (loading) KIPI::PluginLoader::Info::plugin: Loaded plugin  "HTMLExport"
digikam(3133)/KIPI (general) KIPI::Plugin::addAction: Action ' "batch_border_images" ' is disabled.
digikam(3133)/KIPI (general) KIPI::Plugin::addAction: Action ' "batch_color_images" ' is disabled.
digikam(3133)/KIPI (general) KIPI::Plugin::addAction: Action ' "batch_convert_images" ' is disabled.
digikam(3133)/KIPI (general) KIPI::Plugin::addAction: Action ' "batch_filter_images" ' is disabled.
digikam(3133)/KIPI (general) KIPI::Plugin::addAction: Action ' "batch_rename_images" ' is disabled.
digikam(3133)/KIPI (general) KIPI::Plugin::addAction: Action ' "batch_recompress_images" ' is disabled.
digikam(3133)/KIPI (general) KIPIPiwigoExportPlugin::Piwigo::load: Reading data from kipirc file..
digikam(3133)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(3133)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(3133)/digikam (editor plugins) DigikamColorImagePlugin::ImagePlugin_Color::ImagePlugin_Color: ImagePlugin_Color plugin loaded
digikam(3133)/digikam (core) Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: Loaded plugin  "ImagePlugin_Color"
digikam(3133)/digikam (editor plugins) DigikamDecorateImagePlugin::ImagePlugin_Decorate::ImagePlugin_Decorate: ImagePlugin_Decorate plugin loaded
digikam(3133)/digikam (core) Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: Loaded plugin  "ImagePlugin_Decorate"
digikam(3133)/digikam (editor plugins) DigikamEnhanceImagePlugin::ImagePlugin_Enhance::ImagePlugin_Enhance: ImagePlugin_Enhance plugin loaded
digikam(3133)/digikam (core) Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: Loaded plugin  "ImagePlugin_Enhance"
digikam(3133)/digikam (editor plugins) DigikamFxFiltersImagePlugin::ImagePlugin_FxFilters::ImagePlugin_FxFilters: ImagePlugin_FxFilters plugin loaded
digikam(3133)/digikam (core) Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: Loaded plugin  "ImagePlugin_FxFilters"
digikam(3133)/digikam (editor plugins) DigikamTransformImagePlugin::ImagePlugin_Transform::ImagePlugin_Transform: ImagePlugin_Transform plugin loaded
digikam(3133)/digikam (core) Digikam::ImagePluginLoader::loadPluginsFromList: ImagePluginLoader: Loaded plugin  "ImagePlugin_Transform"
digikam(3133)/KGEOMAP KGeoMap::KGeoMapWidget::setBackend: "setting backend marble"
digikam(3133)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "ROADMAP"
digikam(3133)/KGEOMAP KGeoMap::KGeoMapWidget::setBackend: "setting backend marble"
digikam(3133)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "ROADMAP"
digikam(3133)/KGEOMAP KGeoMap::KGeoMapWidget::setBackend: "setting backend marble"
digikam(3133)/KGEOMAP KGeoMap::BackendGoogleMaps::setMapType: "ROADMAP"
digikam(3133)/digikam (core) Digikam::NewItemsFinder::slotStart: scan mode: ScanDeferredFiles
[Thread 0x9a5b9b40 (LWP 3165) exited]
[Thread 0x9adbab40 (LWP 3164) exited]
[Thread 0x9ddc0b40 (LWP 3158) exited]
[Thread 0x99db8b40 (LWP 3166) exited]
[Thread 0x9e5c1b40 (LWP 3157) exited]
[Thread 0xa1b33b40 (LWP 3152) exited]
[Thread 0xa0b31b40 (LWP 3154) exited]
[Thread 0x9f5c3b40 (LWP 3155) exited]
[Thread 0x97db4b40 (LWP 3170) exited]
[Thread 0x95db0b40 (LWP 3174) exited]
[Thread 0x9d5bfb40 (LWP 3159) exited]
[Thread 0x9cdbeb40 (LWP 3160) exited]
[Thread 0xa2334b40 (LWP 3151) exited]
[Thread 0x975b3b40 (LWP 3171) exited]
[Thread 0xa2b35b40 (LWP 3150) exited]
[Thread 0x955afb40 (LWP 3175) exited]
[Thread 0xa97e4b40 (LWP 3147) exited]
[Thread 0x9c5bdb40 (LWP 3161) exited]
[Thread 0x9bdbcb40 (LWP 3162) exited]
[Thread 0x965b1b40 (LWP 3173) exited]
[Thread 0x995b7b40 (LWP 3167) exited]
[Thread 0x945adb40 (LWP 3177) exited]
[Thread 0x96db2b40 (LWP 3172) exited]
[Thread 0xa3b37b40 (LWP 3148) exited]
[Thread 0xa1332b40 (LWP 3153) exited]
[Thread 0x93dacb40 (LWP 3178) exited]
[Thread 0x94daeb40 (LWP 3176) exited]
[Thread 0x9b5bbb40 (LWP 3163) exited]
[Thread 0x9edc2b40 (LWP 3156) exited]
[Thread 0xa3336b40 (LWP 3149) exited]
[Thread 0x98db6b40 (LWP 3168) exited]
[Thread 0x985b5b40 (LWP 3169) exited]
[Thread 0x9fe8bb40 (LWP 3146) exited]
digikam(3133)/digikam (core) Digikam::NewItemsFinder::slotTotalFilesToScan: total scan value :  28136
digikam(3133)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(3133)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(3133)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::Private::printExiv2MessageHandler: Exiv2 ( 2 ) :  Directory Minolta, entry 0x0088: Data area exceeds data buffer, ignoring it.
digikam(3133)/digikam (core) Digikam::DImg::load: "/media/Diskphotos/archive materiel peche/aero technium/eclaté_galet-shimano_aero_technium_et_ultegra_modifiee.jpg"  : JPEG file identified
digikam(3133)/digikam (core) Digikam::ImageScanner::prepareAddImage: Adding new item "/media/Diskphotos/archive materiel peche/aero technium/eclaté_galet-shimano_aero_technium_et_ultegra_modifiee.jpg"
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getImageDateTime: DateTime => Exif.Photo.DateTimeOriginal =>  QDateTime("jeu. juil. 16 13:25:39 2009")
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getDigitizationDateTime: DateTime (Exif digitalized):  jeu. juil. 16 13:25:39 2009
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::Private::printExiv2ExceptionError: Cannot find Xmp key 'Xmp.mwg-rs.Regions/mwg-rs:RegionList[1]/mwg-rs:Name' into image using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `mwg-rs'
digikam(3133)/digikam (core) Digikam::ImageScanner::commit: Scanning took 220 ms
digikam(3133)/digikam (core) Digikam::ImageScanner::~ImageScanner: Finishing took 58 ms
[New Thread 0x9fe8bb40 (LWP 3194)]
[New Thread 0x985b5b40 (LWP 3195)]
[New Thread 0x98db6b40 (LWP 3196)]
digikam(3133)/digikam (core) Digikam::DImg::load: "/media/Diskphotos/christellevisite/IMG_7900.JPG"  : JPEG file identified
digikam(3133)/digikam (core) Digikam::ImageScanner::prepareAddImage: Adding new item "/media/Diskphotos/christellevisite/IMG_7900.JPG"
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getImageDateTime: DateTime => Exif.Photo.DateTimeOriginal =>  QDateTime("ven. sept. 14 09:06:50 2012")
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getDigitizationDateTime: DateTime (Exif digitalized):  ven. sept. 14 09:06:50 2012
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::Private::printExiv2ExceptionError: Cannot find Xmp key 'Xmp.mwg-rs.Regions/mwg-rs:RegionList[1]/mwg-rs:Name' into image using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `mwg-rs'
digikam(3133)/digikam (core) Digikam::DMetadata::getImageHistory: Loading image history  ""
digikam(3133)/digikam (core) Digikam::ImageScanner::commit: Scanning took 99 ms
digikam(3133)/digikam (core) Digikam::ImageScanner::~ImageScanner: Finishing took 44 ms
digikam(3133)/digikam (core) Digikam::DImg::load: "/media/Diskphotos/christellevisite/IMG_7902.JPG"  : JPEG file identified
digikam(3133)/digikam (core) Digikam::ImageScanner::prepareAddImage: Adding new item "/media/Diskphotos/christellevisite/IMG_7902.JPG"
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getImageDateTime: DateTime => Exif.Photo.DateTimeOriginal =>  QDateTime("ven. sept. 14 09:08:03 2012")
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getDigitizationDateTime: DateTime (Exif digitalized):  ven. sept. 14 09:08:03 2012
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::Private::printExiv2ExceptionError: Cannot find Xmp key 'Xmp.mwg-rs.Regions/mwg-rs:RegionList[1]/mwg-rs:Name' into image using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `mwg-rs'
digikam(3133)/digikam (core) Digikam::DMetadata::getImageHistory: Loading image history  ""
digikam(3133)/digikam (core) Digikam::ImageScanner::commit: Scanning took 106 ms
digikam(3133)/digikam (core) Digikam::ImageScanner::~ImageScanner: Finishing took 43 ms
digikam(3133)/digikam (core) Digikam::DImg::load: "/media/Diskphotos/christellevisite/IMG_7905.JPG"  : JPEG file identified
digikam(3133)/digikam (core) Digikam::ImageScanner::prepareAddImage: Adding new item "/media/Diskphotos/christellevisite/IMG_7905.JPG"
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getImageDateTime: DateTime => Exif.Photo.DateTimeOriginal =>  QDateTime("ven. sept. 14 09:08:45 2012")
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getDigitizationDateTime: DateTime (Exif digitalized):  ven. sept. 14 09:08:45 2012
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::Private::printExiv2ExceptionError: Cannot find Xmp key 'Xmp.mwg-rs.Regions/mwg-rs:RegionList[1]/mwg-rs:Name' into image using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `mwg-rs'
digikam(3133)/digikam (core) Digikam::DMetadata::getImageHistory: Loading image history  ""
digikam(3133)/digikam (core) Digikam::ImageScanner::commit: Scanning took 102 ms
digikam(3133)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(3133)/digikam (core) Digikam::ImageScanner::~ImageScanner: Finishing took 46 ms
digikam(3133)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(3133)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
[Thread 0x92f17b40 (LWP 3183) exited]
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::Private::printExiv2MessageHandler: Exiv2 ( 2 ) :  Directory Minolta, entry 0x0088: Data area exceeds data buffer, ignoring it.
digikam(3133)/digikam (core) Digikam::DImg::load: "/media/Diskphotos/vendee 2010/bretignolle juin 2010 immersion/lune_bretignolles.jpg"  : JPEG file identified
digikam(3133)/digikam (core) Digikam::ImageScanner::prepareAddImage: Adding new item "/media/Diskphotos/vendee 2010/bretignolle juin 2010 immersion/lune_bretignolles.jpg"
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getImageDateTime: DateTime => Exif.Photo.DateTimeOriginal =>  QDateTime("lun. juin 21 23:55:11 2010")
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getDigitizationDateTime: DateTime (Exif digitalized):  lun. juin 21 23:55:11 2010
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1
digikam(3133)/digikam (core) Digikam::ImageScanner::scanTags: Pick Label found :  0
digikam(3133)/digikam (core) Digikam::ImageScanner::scanTags: Assigned Pick Label Tag  :  12
digikam(3133)/digikam (core) Digikam::ImageScanner::scanTags: Color Label found :  0
digikam(3133)/digikam (core) Digikam::ImageScanner::scanTags: Assigned Color Label Tag  :  2
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::Private::printExiv2ExceptionError: Cannot find Xmp key 'Xmp.mwg-rs.Regions/mwg-rs:RegionList[1]/mwg-rs:Name' into image using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `mwg-rs'
digikam(3133)/digikam (core) Digikam::DMetadata::getImageHistory: Loading image history  "<?xml version="1.0"?>
<history version="1">
    <file uuid="3b6a2a35ffeb7720318bf7910e7f2265da8767f8944cc68cde090b7fe3abddd3" type="original">
        <fileParams fileName="lune_bretignolles.JPG" filePath="/media/Diskphotos/vendee 2010/bretignolle juin 2010 immersion/" fileHash="da8767f8944cc68cde090b7fe3abddd3" fileSize="2159724" creationDate="2010-06-21T23:55:11"/>
    </file>
</history>
"
digikam(3133)/digikam (core) Digikam::ImageScanner::commit: Scanning took 53 ms
digikam(3133)/digikam (core) Digikam::ImageScanner::~ImageScanner: Finishing took 25 ms
digikam(3133)/digikam (core) Digikam::CollectionScanner::completeHistoryScanning: items to tag (22180)
digikam(3133)/digikam (core) Digikam::ImageScanner::tagImageHistoryGraph: Graph with 2 vertices:
"{ Id: 22180 UUID: 3b6a2a... } -> { Id: 58516 UUID: ac2c01... }"
digikam(3133)/digikam (core) Digikam::ImageScanner::tagImageHistoryGraph: Image 58516 type QFlags(0x8)
digikam(3133)/digikam (core) Digikam::ImageScanner::tagImageHistoryGraph: Image 22180 type QFlags(0x1|0x8)
digikam(3133)/digikam (core) Digikam::CollectionScanner::completeScan: Complete scan took: 25688 msecs.
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::Private::printExiv2MessageHandler: Exiv2 ( 2 ) :  Directory Minolta, entry 0x0088: Data area exceeds data buffer, ignoring it.
digikam(3133)/digikam (core) Digikam::DImg::load: "/media/Diskphotos/archive materiel peche/aero technium/eclaté_galet-shimano_aero_technium_et_ultegra_modifiée.JPG"  : JPEG file identified
digikam(3133)/digikam (core) Digikam::ImageScanner::prepareAddImage: Adding new item "/media/Diskphotos/archive materiel peche/aero technium/eclaté_galet-shimano_aero_technium_et_ultegra_modifiée.JPG"
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getImageDateTime: DateTime => Exif.Photo.DateTimeOriginal =>  QDateTime("jeu. juil. 16 13:25:39 2009")
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getDigitizationDateTime: DateTime (Exif digitalized):  jeu. juil. 16 13:25:39 2009
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1
digikam(3133)/digikam (core) Digikam::ImageScanner::scanTags: Pick Label found :  0
digikam(3133)/digikam (core) Digikam::ImageScanner::scanTags: Assigned Pick Label Tag  :  12
digikam(3133)/digikam (core) Digikam::ImageScanner::scanTags: Color Label found :  0
digikam(3133)/digikam (core) Digikam::ImageScanner::scanTags: Assigned Color Label Tag  :  2
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::Private::printExiv2ExceptionError: Cannot find Xmp key 'Xmp.mwg-rs.Regions/mwg-rs:RegionList[1]/mwg-rs:Name' into image using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `mwg-rs'
digikam(3133)/digikam (core) Digikam::DMetadata::getImageHistory: Loading image history  ""
digikam(3133)/digikam (core) Digikam::ImageScanner::commit: Scanning took 52 ms
digikam(3133)/digikam (core) Digikam::ImageScanner::~ImageScanner: Finishing took 230 ms
digikam(3133)/digikam (core) Digikam::DImg::load: "/media/Diskphotos/christellevisite/IMG_7900.jpg"  : JPEG file identified
digikam(3133)/digikam (core) Digikam::ImageScanner::prepareAddImage: Adding new item "/media/Diskphotos/christellevisite/IMG_7900.jpg"
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getImageDateTime: DateTime => Exif.Photo.DateTimeOriginal =>  QDateTime("ven. sept. 14 09:06:50 2012")
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getDigitizationDateTime: DateTime (Exif digitalized):  ven. sept. 14 09:06:50 2012
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1
digikam(3133)/digikam (core) Digikam::ImageScanner::scanTags: Pick Label found :  0
digikam(3133)/digikam (core) Digikam::ImageScanner::scanTags: Assigned Pick Label Tag  :  12
digikam(3133)/digikam (core) Digikam::ImageScanner::scanTags: Color Label found :  0
digikam(3133)/digikam (core) Digikam::ImageScanner::scanTags: Assigned Color Label Tag  :  2
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::Private::printExiv2ExceptionError: Cannot find Xmp key 'Xmp.mwg-rs.Regions/mwg-rs:RegionList[1]/mwg-rs:Name' into image using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `mwg-rs'
digikam(3133)/digikam (core) Digikam::DMetadata::getImageHistory: Loading image history  ""
digikam(3133)/digikam (core) Digikam::ImageScanner::commit: Scanning took 64 ms
digikam(3133)/digikam (core) Digikam::ImageScanner::~ImageScanner: Finishing took 240 ms
digikam(3133)/digikam (core) Digikam::DImg::load: "/media/Diskphotos/christellevisite/IMG_7902.jpg"  : JPEG file identified
digikam(3133)/digikam (core) Digikam::ImageScanner::prepareAddImage: Adding new item "/media/Diskphotos/christellevisite/IMG_7902.jpg"
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getImageDateTime: DateTime => Exif.Photo.DateTimeOriginal =>  QDateTime("ven. sept. 14 09:08:03 2012")
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getDigitizationDateTime: DateTime (Exif digitalized):  ven. sept. 14 09:08:03 2012
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1
digikam(3133)/digikam (core) Digikam::ImageScanner::scanTags: Pick Label found :  0
digikam(3133)/digikam (core) Digikam::ImageScanner::scanTags: Assigned Pick Label Tag  :  12
digikam(3133)/digikam (core) Digikam::ImageScanner::scanTags: Color Label found :  0
digikam(3133)/digikam (core) Digikam::ImageScanner::scanTags: Assigned Color Label Tag  :  2
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::Private::printExiv2ExceptionError: Cannot find Xmp key 'Xmp.mwg-rs.Regions/mwg-rs:RegionList[1]/mwg-rs:Name' into image using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `mwg-rs'
digikam(3133)/digikam (core) Digikam::DMetadata::getImageHistory: Loading image history  ""
digikam(3133)/digikam (core) Digikam::ImageScanner::commit: Scanning took 55 ms
digikam(3133)/digikam (core) Digikam::ImageScanner::~ImageScanner: Finishing took 229 ms
digikam(3133)/digikam (core) Digikam::DImg::load: "/media/Diskphotos/christellevisite/IMG_7905.jpg"  : JPEG file identified
digikam(3133)/digikam (core) Digikam::ImageScanner::prepareAddImage: Adding new item "/media/Diskphotos/christellevisite/IMG_7905.jpg"
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getImageDateTime: DateTime => Exif.Photo.DateTimeOriginal =>  QDateTime("ven. sept. 14 09:08:45 2012")
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getDigitizationDateTime: DateTime (Exif digitalized):  ven. sept. 14 09:08:45 2012
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::getImageOrientation: Orientation => Exif.Image.Orientation =>  1
digikam(3133)/digikam (core) Digikam::ImageScanner::scanTags: Pick Label found :  0
digikam(3133)/digikam (core) Digikam::ImageScanner::scanTags: Assigned Pick Label Tag  :  12
digikam(3133)/digikam (core) Digikam::ImageScanner::scanTags: Color Label found :  0
digikam(3133)/digikam (core) Digikam::ImageScanner::scanTags: Assigned Color Label Tag  :  2
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::Private::printExiv2ExceptionError: Cannot find Xmp key 'Xmp.mwg-rs.Regions/mwg-rs:RegionList[1]/mwg-rs:Name' into image using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `mwg-rs'
digikam(3133)/digikam (core) Digikam::DMetadata::getImageHistory: Loading image history  ""
digikam(3133)/digikam (core) Digikam::ImageScanner::commit: Scanning took 53 ms
digikam(3133)/digikam (core) Digikam::ImageScanner::~ImageScanner: Finishing took 229 ms
digikam(3133)/KEXIV2 KExiv2Iface::KExiv2::Private::printExiv2MessageHandler: Exiv2 ( 2 ) :  Directory Minolta, entry 0x0088: Data area exceeds data buffer, ignoring it.
digikam(3133)/digikam (core) Digikam::DImg::load: "/media/Diskphotos/vendee 2010/bretignolle juin 2010 immersion/lune_bretignolles.JPG"  : JPEG file identified
digikam(3133)/digikam (core) Digikam::ImageScanner::prepareAddImage: Adding new item "/media/Diskphotos/vendee 2010/bretignolle juin 2010 immersion/lune_bretignolles.JPG"
digikam(3133)/digikam (core) Digikam::ImageScanner::scanFromIdenticalFile: Recognized "/media/Diskphotos/vendee 2010/bretignolle juin 2010 immersion/lune_bretignolles.JPG" as identical to item 22180
digikam(3133)/digikam (core) Digikam::ImageScanner::commit: Scanning took 30 ms
digikam(3133)/digikam (core) Digikam::ImageScanner::~ImageScanner: Finishing took 356 ms
digikam(3133)/digikam (core) Digikam::CollectionScanner::completeHistoryScanning: items to tag ()
digikam(3133)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(3133)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
digikam(3133)/KGEOMAP KGeoMap::ItemMarkerTiler::slotSourceModelReset: ----
[New Thread 0x92f17b40 (LWP 3197)]
[Thread 0x98db6b40 (LWP 3196) exited]
[Thread 0x92f17b40 (LWP 3197) exited]

gdb logs stop here and no news of digikam ?

Greatings, 

Eric
Comment 10 e.longuemare 2013-09-30 22:04:36 UTC
Hello,

I delete the /home/user/.kde directory and digikam start the right way.

No more crash when validate face tag.

It's solved. 

I will test again tomorrow with 3.4 tarball and opencv 2.4.5 release

Greatings,

Eric

PS : I will revert to opencv 2.4.5 package from /kunbuntu/backport too to see if it crash again.
Comment 11 e.longuemare 2013-09-30 22:05:40 UTC
Facedetection and recognition seems to work too.